libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

_xr_value_node_type
xr_blob
xr_blob_new
xr_blob_ref
xr_blob_unref
xr_value
xr_value_array_append
xr_value_array_new
xr_value_blob_new
xr_value_bool_new
xr_value_double_new
xr_value_dump
xr_value_get_items
xr_value_get_member
xr_value_get_member_name
xr_value_get_member_value
xr_value_get_members
xr_value_get_type
xr_value_int_new
xr_value_is_error_retval
xr_value_ref
xr_value_string_new
xr_value_struct_new
xr_value_struct_set_member
xr_value_time_new
xr_value_to_blob
xr_value_to_bool
xr_value_to_double
xr_value_to_int
xr_value_to_string
xr_value_to_time
xr_value_to_value
xr_value_unref
XRV_ARRAY
XRV_BLOB
XRV_BOOLEAN
XRV_DOUBLE
XRV_INT
XRV_MEMBER
XRV_STRING
XRV_STRUCT
XRV_TIME

gboolean xr_value_is_error_retval | ( | xr_value * | val,
|  | int * | errcode,
|  | char ** | errmsg
| ) |  |

Check if given node is stadard XML-RPC error struct.

And store faultCode and faultString into errcode and errmsg.

Parameters

  val | Value node.
  errcode | Pointer to the variable where the faultCode should be stored.
  errmsg | Pointer to the variable where the faultString should be stored.

Returns
  Function returns TRUE if node is XML-RPC error node, FALSE Otherwise.

Warning
  Caller must free returned errmsg using g_free.

Documentation for libxr, Mon Jan 6 2014 07:32:37.